Categorías
Debian GNU/Linux

Instalar MySQL Workbench en Debian 10

Para poder instalar el programa MySQL Workbench en Debian 10 hay que instalar previamente una serie de dependencias sin las cuales no funciona correctamente. El proceso de instalación es como sigue:

  1. Descargar el paquete deb de la página de MySQL Workbench, necesitamos el correspondiente a Ubuntu 18.04 y la versión 8.0.23:

2. Actualizamos el sistema e instalamos las siguientes librerías:

sudo apt update && sudo apt upgrade
sudo apt install libatkmm-1.6-1v5 libglibmm-2.4-1v5 libgtkmm-3.0-1v5 libsigc++-2.0-0v5 libtinfo5 libcairomm-1.0-1v5 libpangomm-1.4-1v5 libpcrecpp0v5 libproj-dev proj-bin gnome-keyring

3. Instalamos el paquete en el directorio donde lo hayamos descargado:

sudo dpkg -i mysql-workbench-community_8.0.23-1ubuntu18.04_amd64.deb

En mi caso, como uso KDE, necesité instalar el gnome-keyring porque si no me daba error al intentar guardar la password para la conexión.

Hay que recordar que tenemos que tener la versión MySQL Server 5.7, pues versiones posteriores dan problemas.

4 respuestas a «Instalar MySQL Workbench en Debian 10»

Lamentablemente, no me ha funcionado.
dpkg ha arrojado los siguientes errores.

dpkg: problemas de dependencias impiden la configuración de mysql-workbench-community:
mysql-workbench-community depende de libc6 (>= 2.33); sin embargo:
La versión de `libc6:amd64′ en el sistema es 2.28-10.
mysql-workbench-community depende de libgcc-s1 (>= 4.2); sin embargo:
El paquete `libgcc-s1′ no está instalado.
mysql-workbench-community depende de libgdk-pixbuf-2.0-0 (>= 2.22.0); sin embargo:
El paquete `libgdk-pixbuf-2.0-0′ no está instalado.
mysql-workbench-community depende de libglibmm-2.4-1v5 (>= 2.64.2); sin embargo:
La versión de `libglibmm-2.4-1v5:amd64′ en el sistema es 2.58.0-2.
mysql-workbench-community depende de libjpeg8 (>= 8c); sin embargo:
El paquete `libjpeg8′ no está instalado.
mysql-workbench-community depende de libmysqlclient21 (>= 8.0.11); sin embargo:
El paquete `libmysqlclient21′ no está instalado.
mysql-workbench-community depende de libopengl0; sin embargo:
El paquete `libopengl0′ no está instalado.
mysql-workbench-community depende de libproj19 (>= 7.2.0); sin embargo:
El paquete `libproj19′ no está instalado.
mysql-workbench-community depende de libpython3.9 (>= 3.9.1); sin embargo:
El paquete `libpython3.9′ no está instalado.
mysql-workbench-community depende de libstdc++6 (>= 9); sin embargo:
La versión de `libstdc++6:amd64′ en el sistema es 8.3.0-6.

dpkg: error al procesar el paquete mysql-workbench-community (–install):
problemas de dependencias – se deja sin configurar

Ahora intento instalar esas dependencias, pero no todas están disponibles…
¿Algún consejo o recomendación?

Gracias por los aportes!

Me gusta

¡Hola! Esta instalación la hice con la versión de Debian 10 que descargué en su momento, que puede tener alguna diferencia en cuanto a librerías respecto de la actual, pero me extraña que sean tantas. Comprueba que la versión de Workbench que te has descargado es la 8.0.23 que corresponde a Ubuntu 18.04, y también es recomendable que actualices el Debian con «apt-get update && apt-get upgrade» antes de la instalación. Si sigue dando error es posible que se hayan cambiado los instaladores del Workbench, tengo la sensación de que pasa a menudo y eso hace que fallen. Intentaré repetir la instalación en alguna máquina virtual, a ver si reproduzco tu error. Suerte y gracias por comentar.

Me gusta

Logre instalarlo en Debian 11, desde .deb descargado de la pag principal principalemente la version: mysql-workbench-community_8.0.20-1ubuntu18.04_amd64.deb
En realidad use un monton de caminos, no estoy seguro de cual funciono, aunque el que creo que fue este:
1) sudo apt-get update
2) sudo apt-get install libvsqlitepp-doc
Luego entran como su a la carpeta que tengan descargado el .deb del workbench y lo instalan manualmente (tengan en cuenta la version que descargaron para este ejemplo):
3) sudo dpkg i- mysql-workbench-community_8.0.20-1ubuntu18.04_amd64.deb
Links de referencia:
https://debian.pkgs.org/11/debian-main-arm64/libvsqlitepp-doc_0.3.13-4.1_all.deb.html
https://downloads.mysql.com/archives/workbench/

Me gusta

Me alegro que hayas podido instalarlo. Es un fastidio que dé tantos problemas en Debian. En las distros RedHat/Centos/Fedora se suele instalar sin problema. Un saludo.

Me gusta

Deja una respuesta

Introduce tus datos o haz clic en un icono para iniciar sesión:

Logo de WordPress.com

Estás comentando usando tu cuenta de WordPress.com. Salir /  Cambiar )

Google photo

Estás comentando usando tu cuenta de Google. Salir /  Cambiar )

Imagen de Twitter

Estás comentando usando tu cuenta de Twitter. Salir /  Cambiar )

Foto de Facebook

Estás comentando usando tu cuenta de Facebook. Salir /  Cambiar )

Conectando a %s

Este sitio usa Akismet para reducir el spam. Aprende cómo se procesan los datos de tus comentarios.